> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.brightmove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.brightmove.com/_mcp/server.

# Assign a tag to a requirement

POST https://app.brightmove.com/ATS/api/v1/requirements/{guid}/tags
Content-Type: application/json

Assigns a tag (by name) to this requirement. If no tag with this exact name exists yet for the company, one is created. Assigning the same tag more than once has no additional effect.

Reference: https://docs.brightmove.com/public/jobs/core/assign-tag

## Authentication

- `Authorization` header (bearer token, required) — BrightMove OAuth2 client_credentials - use the client_id/client_secret from User > API Keys (or an admin-managed client).

## Request

### Path parameters

- `guid` (string, required) — Stable public identifier of the requirement

### Body (application/json)

This endpoint expects a RequirementTagAssignRequest.

- `name` (string, required) — Tag name to assign. If no tag with this exact name exists yet for the company, one is created. May contain any characters, including spaces and slashes.

## Response

### 204

Tag assigned

## Errors

### 404 Not Found Error

No requirement found for the supplied GUID

- `any`

## Examples

**Request**

```json
{
  "name": "Urgent"
}
```

**SDK Code**

```python
import requests

url = "https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags"

payload = { "name": "Urgent" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Urgent"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags"

	payload := strings.NewReader("{\n  \"name\": \"Urgent\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Urgent\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Urgent\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags', [
  'body' => '{
  "name": "Urgent"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Urgent\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "Urgent"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://app.brightmove.com/ATS/api/v1/requirements/c9d82c1c-abcd-1234-ef56-789012345678/tags")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```